function igf_EquipTooltip(_side, _slotid)

	if( _side ~= "Left"  and  _side ~= "Right" ) then
		_side = "Right";
	end

	if( not _slotid ) then
		ChatFrame1:AddMessage("IGF: pls call igf_EquipTooltip() with a valid slotid.");
		return false
	end

	GameTooltip:ClearLines();					-- seems not to work, still sometimes old values there ???
	GameTooltip:SetEquipmentItem(_slotid);		-- set tooltip for given slotid
--	GameTooltip:Show()		-- ok
--	GameTooltip:Hide()		-- ok

	-- tooltip values for one side
	local tt = {};
	for i=1,40,1 do
		local lineobj, text = nil, nil;
		lineobj = _G["GameTooltipText".._side..i];
		if(lineobj) then
			text = lineobj:GetText();
			lineobj:SetText("");		-- there was a problem with old values, so one more try to clear them
		end

		-- set space if text is empty, because RoMScript can't handle back empty strings
		if (not text  or
			text == "") then
			text = " ";
		end

		tt[i] = text;
	end

	-- RoMScript can't handle tables, so we return single values
	return unpack(tt)
end